LS(1)

NAMA
ls - list directory contents

RINGKASAN
ls [PILIHAN]... [BERKAS]...

DESKRIPSI

Daftar informasi mengenai BERKAS (direktori sekarang secara default). Urutkan masukan secara alphabet jika tidak ada dari -cftuvSUX atau --sort.

Argumen wajib untuk pilihan panjang adalah wajib untuk pilihan pendek juga.

-a, --all
    jangan mengabaikan masukan dimulai dengan .

-A, --almost-all
    jangan mendaftar implied . dan ..

--author
    dengan -l, menampilkan pengarang dari setiap berkas

-b, --escape
    print C-style escapes for nongraphic characters

--block-size=BESAR
    with -l, scale sizes by SIZE when printing them; e.g., '--block-size=M'; see SIZE format below

-B, --ignore-backups
    jangan mendaftar implied masukan berakhir dengan ~

-c  with -lt: sort by, and show, ctime (time of last change of file status information); with -l: show ctime and sort by name; otherwise: sort by ctime, newest first

-C  mendaftar masukan dengan kolom

--color[=KAPAN]
    color the output WHEN; more info below

-d, --directory
    list directories themselves, not their contents

-D, --dired
    menghasilkan keluarkan didesign untuk Emacs' dired mode

-f  list all entries in directory order

-F, --classify[=WHEN]
    append indicator (one of */=>@|) to entries WHEN

--file-type
    sama seperti itu, kecuali tidak menambahkan `*'

--format=KATA
    melewati -x, koma -m, horizontal -x, panjang -l, satu-kolom -1, verbose -l, vertikal -C

--full-time
    seperti -l --time-style=full-iso

-g  seperti -l, tetapi jangan mendaftar pemilik

--group-directories-first
    group directories before files; can be augmented with a --sort option, but any use of --sort=none (-U) disables grouping

-G, --no-group
    dalam sebuah listing panjang, jangan menampilkan nama grup

-h, --human-readable
    dengan -l dan -s, menampilkan ukuran dalam format yang mudah dibaca (contoh, 1K 234M 2G)

--si
    sama seperti diatas, tetapi menggunakan kelipatan 1000 bukan 1024

-H, --dereference-command-line
    ikuti link simbolik terdaftar di baris perintah

--dereference-command-line-symlink-to-dir
    follow each command line symbolic link that points to a directory

--hide=POLA
    jangan mendaftar implied masukan cocok shell POLA (overriden dengan -a atau -A)

--hyperlink[=KAPAN]
    hyperlink file names WHEN

--indicator-style=KATA
    menambahkan indikator dengan style WORD ke nama masukan: none (baku), slash (-p), file-type (--file-type), classify (-F)

-i, --inode
    menampilkan nomor index dari setiap berkas

-I, --ignore=POLA
    jangan mendaftar implied masukan cocok shell POLA

-k, --kibibytes
    default to 1024-byte blocks for file system usage; used only with -s and per directory totals

-l  gunakan sebuah format daftar panjang

-L, --dereference
    ketika menampilkan informasi berkas untuk sebuah link simbolik, tampilkan informasi untuk berkas referensi link daripada untuk link itu sendiri

-m  isi lebar dengan sebuah masukan yang dipisahkan dengan koma

-n, --numeric-uid-gid
    seperti -l, tetapi mendaftar pengguna dan grup ID numerik

-N, --literal
    print entry names without quoting

-o  seperti -l, tetapi tidak mendaftar informasi grup

-p, --indicator-style=slash
    menambahkan / indikator ke direktori

-q, --hide-control-chars
    menampilkan ? daripada karakter bukan gambar

--show-control-chars
    menampilkan karakter bukan gambar seperti itu (default kecuali aplikas adalah `ls' dan output adalah sebuah terminal)

-Q, --quote-name
    enclose nama masukan dalam tanda petik

--quoting-style=KATA
    use quoting style WORD for entry names: literal, locale, shell, shell-always, shell-escape, shell-escape-always, c, escape (overrides QUOTING_STYLE environment variable)

-r, --reverse
    balik urutan ketika mengurutkan

-R, --recursive
    daftar subdirektori secara rekursif

-s, --size
    tampilkan ukuran dari setiap berkas yang dialokasikan, dalam blok

-S  sort by file size, largest first

--sort=KATA
    sort by WORD instead of name: none (-U), size (-S), time (-t), version (-v), extension (-X), width

--time=KATA
    select which timestamp used to display or sort; access time (-u): atime, access, use; metadata change time (-c): ctime, status; modified time (default): mtime, modification; birth time: birth, creation;

    with -l, WORD determines which time to show; with --sort=time, sort by WORD (newest first)

--time-style=TIME_STYLE
    time/date format with -l; see TIME_STYLE below

-t  sort by time, newest first; see --time

-T, --tabsize=COLS
    asumsikan tab stops ada di setiap COLS daripada 8

-u  with -lt: sort by, and show, access time; with -l: show access time and sort by name; otherwise: sort by access time, newest first

-U  jangan urutkan; daftar masukan dalam urutan direktori

-v  urutkan sesuai dengan versi

-w, --width=COLS
    set output width to COLS. 0 means no limit

-x  daftar masukan dengan baris daripada dengan kolom

-X  urutkan secara alphabet dengan ekstensi masukan

-Z, --context
    print any security context of each file

--zero
    akhiri setiap baris keluaran dengan NUL, bukan baris baru

-1  list one file per line

--help
    tampilkan bantuan ini dan keluar

--version
    tulis informasi versi dan keluar

Argumen BESAR adalah bilangan bulat dan unit opsional (misalnya: 10K adalah 10*1024). Satuan adalah K, M, G, T, P, E, Z, Y, R, Q (pangkat atas 1024) atau KB, MB, ... (pangkat atas 1000). Awalan biner juga dapat digunakan: KiB=K, MiB=M, dan sebagainya.

The TIME_STYLE argument can be full-iso, long-iso, iso, locale, or +FORMAT. FORMAT is interpreted like in date(1). If FORMAT is FORMAT1<newline>FORMAT2, then FORMAT1 applies to non-recent files and FORMAT2 to recent files. TIME_STYLE prefixed with 'posix-' takes effect only outside the POSIX locale. Also the TIME_STYLE environment variable sets the default style to use.

The WHEN argument defaults to 'always' and can also be 'auto' or 'never'.

Menggunakan warna untuk membedakan tipe berkas adalah tidak aktif baik baku dan dengan --color=never. Dengan --color=auto, ls mengeluarkan kode warna hanya ketika standar keluaran terhubung ke sebuah terminal. Variabel lingkungan LS_COLORS dapat mengubah konfigurasi ini. Gunakan perintah dircolors(1) untuk mengubahnya.

  Status keluar:

0   jika OK,

1   jika ada masalah kecil (contoh: tidak dapat mengakses direktori dibawahnya),

2   jika ada masalah besar (contoh: tidak dapat mengakses argumen baris perintah).

PENGARANG
Ditulis oleh Richard M. Stallman dan David MacKenzie.

MELAPORKAN BUG
Bantuan daring GNU coreutils: <https://www.gnu.org/software/coreutils/>
Lapor bug penerjemahan ke <https://translationproject.org/team/id.html>

HAK CIPTA
Hak Cipta © 2023 Free Software Foundation, Inc. License GPLv3+: GNU GPL versi 3 atau selanjutnya <https://gnu.org/licenses/gpl.html>.
Ini adalah perangkat lunak bebas: Anda bebas untuk mengubah dan mendistribusikannya. TIDAK ADA JAMINAN, sampai batas yang diperbolehkan oleh hukum.

LIHAT JUGA
dircolors(1)

Dokumentasi lengkap <https://www.gnu.org/software/coreutils/ls>
atau tersedia lokal melalui: info '(coreutils) ls invocation'

TERJEMAHAN
Terjemahan bahasa Indonesia dari halaman manual ini dibuat oleh Rizqy Syarief <rizqy@rad.net.id>

Terjemahan ini adalah Dokumentasi Gratis; baca GNU General Public License Versi 3 (https://www.gnu.org/licenses/gpl-3.0.html) atau yang lebih baru untuk Persyaratan hak cipta. Kami berasumsi TIDAK BERTANGGUNG JAWAB.

Jika Anda menemukan kesalahan dalam terjemahan halaman manual ini, silakan kirim email ke TODO.